Other B4A v10.2 BETA is available for download

Status
Not open for further replies.

Erel

B4X founder
Staff member
Licensed User
Longtime User
This update adds support for the latest version of Firebase, Crashlytics and Android SDK.
  • B4ASdkManager updated to support latest version of Android SDK command line tools.
  • Firebase libraries updated to support latest version of Firebase SDK.
  • OkHttp updated based on OkHttp 3.14.9.
  • Support for latest version of Crashlytics. Previous version will stop tracking crashes on November 2020.
  • B4X version of KeyValueStore added as an internal library.
  • Internal libraries updated: B4XPages, B4XDrawer, B4XCollections, XUI Views and BCTextEngine.
  • Deprecated libraries removed: CustomListView (replaced with xCustomListView), Http and HttpUtils2 (replaced with OkHttp and OkHttpUtils2).
  • B4XPages template updated.
  • IDE performance improvements related to projects which use many b4xlibs.
  • New indicators to help understand the code flow with resumable subs:

    1598868185888.png
I recommend switching to the latest command line tools + Android SDK. This means that you need to download a new SDK. You can keep the previous one as well.

Instructions:

  1. Download command line tools v6609375: https://developer.android.com/studio#command-tools
  2. Unpack in C:\Android
  3. Download additional resources: https://b4xfiles-4c17.kxcdn.com/b4a/resources_9_20.zip
  4. Unpack in C:\Android. It should look like this:

    explorer_hfrxvrNO6q.png


  5. Set android.jar path in the IDE to: C:\Android\platforms\android-30\android.jar
  6. Note that you don't need to run B4A Sdk Manager at all. All the required components are included. If you do want to run the emulator then start Tools - B4A Sdk manager, install the recommended items and create a new AVD.

Beta link: www.b4x.com/android/files/beta.exe
 

Attachments

  • 1598867682604.png
    1598867682604.png
    17.6 KB · Views: 590
Last edited:

hery71

Member
Licensed User
I have same error:
SDK manager error
i use Oracle JDK 11 (Installation)
MY android is in c:\
Look at my path windows
when i open Firebase application i have the error that Mave Artifact Not found
best regards
 

Attachments

  • sdkerror.jpg
    sdkerror.jpg
    103.8 KB · Views: 200
  • path.jpg
    path.jpg
    163.6 KB · Views: 209
  • mavennotfound.jpg
    mavennotfound.jpg
    85 KB · Views: 204
Upvote 0

Erel

B4X founder
Staff member
Licensed User
Longtime User
I have same error:
SDK manager error
i use Oracle JDK 11 (Installation)
MY android is in c:\
Look at my path windows
when i open Firebase application i have the error that Mave Artifact Not found
Based on the text output in the app I see that you are not using the correct SDK. Carefully follow the instructions in the first post.

Once the SDK will be configured properly, you will be able to add firebase-database-collection. It is not included in the package as it is not required by any of the internal Firebase libraries.
 
Upvote 0

hery71

Member
Licensed User
for me nothing news
with sdk 11 I have the same problem
with 14 My sdk manager don t strt
and i always have the problem of maven artifact not found
hery
 
Upvote 0

Star-Dust

Expert
Licensed User
for me nothing news
with sdk 11 I have the same problem
with 14 My sdk manager don t strt
and i always have the problem of maven artifact not found
hery
But have you created the C:\Android folder from scratch?

If you can start SDK Manager then you can download the components you are missing to compile.
 
Upvote 0

hery71

Member
Licensed User
Yes i create Android Folder to put ressources and Command tools
I create Java folder too To put SDK 11
I already download all recommanded library by sdkmanager
but nothing new??
Same error
 
Upvote 0

Star-Dust

Expert
Licensed User
Yes i create Android Folder to put ressources and Command tools
I create Java folder too To put SDK 11
I already download all recommanded library by sdkmanager
but nothing new??
Same error
Try Java 8
 
Upvote 0

Star-Dust

Expert
Licensed User
I saw you use JavaCompiler version 8.026. You try to upgrade to version 8.202

1598973187684.png
 
Upvote 0

hery71

Member
Licensed User
I download all maven on sdk manager no firebase error but i have the same error when i refresh the sdk manager , but i close the error and i can download ...
 
Upvote 0

MbedAndroid

Active Member
Licensed User
Longtime User
I found the problem. There was an error unzipping the SDK Tool file and folders were missing.

I re-downloaded and repeated the decompression operation
true.... i tried 5 times to download, and finally got it working. Best browser was Chrome.
No issues to report, all works fine...as usual
using Java 11.0.1
nb created a new folder for android
using emulator Genymotion
 
Last edited:
Upvote 0

hery71

Member
Licensed User
I have the same problem of SDK manager but my firebase push (Maven artifact) and all other project work fine its good for me because i don't use the virtual device but only Wifi Bridge then i dont want to change anything and i wait the final release ....
Now i can continue my project...
Finally i install SDK 11
and ressources 9_2
and additionnal command line v6609375
Thank you for your helps
Best Regards
Hery
 
Upvote 0

rboeck

Well-Known Member
Licensed User
Longtime User
I made two versions of c:\android and still failed, in the third attempt i used an alternate unzipper instead of explorer and now the error is gone.
 
Upvote 0

Scantech

Well-Known Member
Licensed User
Longtime User
I unzipped it using an extractor app and now it works. Previously, i got in to the zip file and selected all files and copied it to D:/Android which caused an issue. So, use a app to unzip it and it might work for you.
 
Upvote 0

Dey

Active Member
Licensed User
Longtime User
I unzipped it using an extractor app and now it works. Previously, i got in to the zip file and selected all files and copied it to D:/Android which caused an issue. So, use a app to unzip it and it might work for you.
Thank you
solved using another extractor
 
Upvote 0
Status
Not open for further replies.
Top